Skip to main content
GET
Get recording metadata

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Query Parameters

recordingId
string

Unique id of the recorded file.

conversationId
string

Unique id of the conversation.

conferenceId
string

Unique id of the conference.

callId
string

Unique id of the call.

direction
string

Call direction of recorded file.

filename
string

Filename of recorded file.

participantId
string

Participant id associated with the recorded file.

participantIdentity
string

Participant identity associated with the recorded file.

participantName
string

Participant name associated with the recorded file.

participantType
string

Participant type associated with the recorded file.

mediaType
string

Media type of recorded file.

deletedBy
string

Identity of the user who deleted the recorded file.

transferredFrom
string

Identity of the user who has transferred the call.

transferredTo
string

Identity of the user to whom the call has been transferred.

transferredFromQueue
string

Queue id from which the call has been transferred.

transferredToQueue
string

Queue id to which the call has been transferred.

durationFrom
integer<int64>

Minimum duration to filter recorded files.

durationTo
integer<int64>

Maximum duration to filter recorded files.

startedAtFrom
integer<int64>

Lower bound for filtering by recording start time.

startedAtTo
integer<int64>

Upper bound for filtering by recording start time.

deletedAtFrom
integer<int64>

Lower bound for filtering by deleted at time.

deletedAtTo
integer<int64>

Upper bound for filtering by deleted at time.

page
integer<int32>
default:0

Page number.

Required range: x >= 0
size
integer<int32>
default:20

Page size.

Required range: 1 <= x <= 999
sortBy
string

Field by which the sorting will be done.

sortDirection
enum<string>

Type of sorting.

Available options:
ASC,
DESC

Response

OK

recordingId
string

Unique id of the recorded file.

conversationId
string

Conversation id of the recorded file.

conferenceId
string

Conference id of the recorded file.

callId
string

Call id of the recorded file.

direction
string

Call direction of the recorded file.

recordingStatus
string

Status of the recorded file.

composed
boolean

Flag indicating whether the recorded file is composed.

filename
string

Filename of the recorded file.

duration
integer<int64>

Duration of the recorded file in seconds.

participantId
string

Unique id of the participant associated with the recorded file.

participantIdentity
string

Unique identity of the participant associated with the recorded file.

participantName
string

Participant name associated with the recorded file.

participantType
string

Participant type associated with the recorded file. Values can be either customer or agent.

mediaType
string

Specifies recorded file type. Values can be either audio or audio and video.

startedAt
integer<int64>

Unix timestamp for when the recording started.

Example:

1686585221999

deletedAt
integer<int64>

Unix timestamp for when the recorded file was deleted.

Example:

1686585221999

deletedBy
string

Identity of the user who deleted the recorded file.

sftpPath
string

Location of the recorded file on the SFTP server.

transferredFrom
string

Identity of the user who has transferred the call.

transferredTo
string

Identity of the user to whom the call has been transferred.

transferredFromQueue
string

Queue id from which the call has been transferred.

transferredToQueue
string

Queue id to which the call has been transferred.